.shared-overlay {
    position: fixed;
    inset: 0;
    background: #8888882e;
    backdrop-filter: blur(10px);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}


.shared-overlay.active {
    display: flex;
}

.shared-card {
    width: 420px;
    padding: 32px;
    border-radius: 28px;
    background: rgba(255, 255, 255, 0.35);
    backdrop-filter: blur(10px);
    box-shadow: 0 40px 120px rgba(0, 0, 0, 0.8);
    animation: fadeInScale 0.25s ease;
}

.shared-card h2 {
    font-size: 18px;
    margin-bottom: 20px;
    word-break: break-word;
}

.file-info-grid {
    display: grid;
    gap: 12px;
    margin-bottom: 24px;
}

.file-info-grid span {
    font-size: 12px;
    opacity: 0.6;
}

.file-info-grid strong {
    font-size: 14px;
}

.modal-actions {
    display: flex;
    gap: 10px;
}

.modal-actions button {
    flex: 1;
    padding: 10px 12px;
    border-radius: 10px;
    border: none;
    cursor: pointer;
    font-weight: 500;
    transition: 0.2s ease;
}

.primary-btn {
    background: rgba(0, 0, 0, 0.8);
    color: #ffffff;
    border: none;
    padding: 10px 22px;
    border-radius: 14px;
    cursor: pointer;
    font-weight: 600;
    transition: 0.3s;
}

.primary-btn:hover {
    background: white;
    color: #333;
}

.ghost-btn {
    color: #ffffff;
}

.ghost-btn:hover {
    background: #ffffff;
    color: #c6a676;
    border: unset !important;
}

.shared-close {
    position: absolute;
    top: 14px;
    right: 14px;
    background: none;
    border: none;
    color: rgba(255,255,255,0.6);
    font-size: 16px;
    cursor: pointer;
}

.shared-close:hover {
    color: white;
}

@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.9);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}


.shared-layout {
    display: flex;
    gap: 30px;
}

.shared-info {
    flex: 1;
}

.shared-preview {
    width: 240px;
    height: 180px;
    border-radius: 18px;
    overflow: hidden;
    background: rgba(0,0,0,0.3);
    display: flex;
    align-items: center;
    justify-content: center;
}

.shared-preview img,
.shared-preview video,
.shared-preview iframe {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.fa-file-pdf { color: #e74c3c; }
.fa-file-word { color: #2b579a; }
.fa-file-excel { color: #217346; }
.fa-file-powerpoint { color: #d24726; }
.fa-file-image { color: #9b59b6; }
.fa-file-video { color: #e67e22; }
.fa-file-audio { color: #f1c40f; }
.fa-file-zipper { color: #7f8c8d; }
.fa-folder { color: #e2c79a; }


.shared-title {
    display: flex;
    align-items: center;
    gap: 14px;
    margin-bottom: 20px;
}

.shared-file-icon {
    width: 46px;
    height: 46px;
    border-radius: 14px;
    /*background: rgba(255,255,255,0.08);*/
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
}

.shared-file-icon i {
    font-size: 40px;
}


